/* eslint-disable react/prop-types */
import { initializeStore, StoreContext } from '.';

export default function StoreProvider({ children, ...initialData }) {
  const store = initializeStore(initialData);

  return <StoreContext.Provider value={store}>{children}</StoreContext.Provider>;
}
